Index: branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/BaselineClassifiers/OneR.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/BaselineClassifiers/OneR.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/BaselineClassifiers/OneR.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -35,5 +35,5 @@
   /// </summary>
   [Item("OneR Classification", "A simple classification algorithm the searches the best single-variable split (does not support categorical features correctly). See R.C. Holte (1993). Very simple classification rules perform well on most commonly used datasets. Machine Learning. 11:63-91.")]
-  [StorableClass]
+  [StorableClass("2F669B2F-EA57-49F5-9960-D9376692C8AE")]
   public sealed class OneR : FixedDataAnalysisAlgorithm<IClassificationProblem> {
 
Index: branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/BaselineClassifiers/OneRClassificationModel.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/BaselineClassifiers/OneRClassificationModel.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/BaselineClassifiers/OneRClassificationModel.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -29,5 +29,5 @@
 
 namespace HeuristicLab.Algorithms.DataAnalysis {
-  [StorableClass]
+  [StorableClass("A01F0098-381E-4B8E-80D3-A579A04C50A6")]
   [Item("OneR Classification Model", "A model that uses intervals for one variable to determine the class.")]
   public class OneRClassificationModel : NamedItem, IClassificationModel {
@@ -83,5 +83,5 @@
 
     // uses sorting to return the values in the order of rows, instead of using nested for loops
-    // to avoid O(n²) runtime
+    // to avoid O(nÂ²) runtime
     public IEnumerable<double> GetEstimatedClassValues(IDataset dataset, IEnumerable<int> rows) {
       var values = dataset.GetDoubleValues(Variable, rows).ToArray();
Index: branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/BaselineClassifiers/OneRClassificationSolution.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/BaselineClassifiers/OneRClassificationSolution.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/BaselineClassifiers/OneRClassificationSolution.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -26,5 +26,5 @@
 
 namespace HeuristicLab.Algorithms.DataAnalysis {
-  [StorableClass]
+  [StorableClass("1E8E924F-3C9A-44D2-8889-4DF29731A3BF")]
   [Item(Name = "OneR Classification Solution", Description = "Represents a OneR classification solution which uses only a single feature with potentially multiple thresholds for class prediction.")]
   public class OneRClassificationSolution : ClassificationSolution {
Index: branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/BaselineClassifiers/ZeroR.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/BaselineClassifiers/ZeroR.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/BaselineClassifiers/ZeroR.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -32,5 +32,5 @@
   /// </summary>
   [Item("ZeroR Classification", "The simplest possible classifier, ZeroR always predicts the majority class.")]
-  [StorableClass]
+  [StorableClass("701DCCAC-A8F0-438C-B611-69D67FBCE250")]
   public sealed class ZeroR : FixedDataAnalysisAlgorithm<IClassificationProblem> {
 
Index: branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/CrossValidation.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/CrossValidation.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/CrossValidation.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -37,5 +37,5 @@
   [Item("Cross Validation (CV)", "Cross-validation wrapper for data analysis algorithms.")]
   [Creatable(CreatableAttribute.Categories.DataAnalysis, Priority = 100)]
-  [StorableClass]
+  [StorableClass("0C10D8F9-0511-44DD-9FED-42BFD539E96B")]
   public sealed class CrossValidation : ParameterizedNamedItem, IAlgorithm, IStorableContent {
     public CrossValidation()
Index: branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/FixedDataAnalysisAlgorithm.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/FixedDataAnalysisAlgorithm.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/FixedDataAnalysisAlgorithm.cs	(revision 13368)
@@ -29,5 +29,5 @@
 
 namespace HeuristicLab.Algorithms.DataAnalysis {
-  [StorableClass]
+  [StorableClass("3F67A714-90EE-4140-B2AF-91AE86F28FF9")]
   public abstract class FixedDataAnalysisAlgorithm<T> : Algorithm,
     IDataAnalysisAlgorithm<T>,
Index: branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/CovarianceFunctions/CovarianceConst.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/CovarianceFunctions/CovarianceConst.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/CovarianceFunctions/CovarianceConst.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -30,5 +30,5 @@
 
 namespace HeuristicLab.Algorithms.DataAnalysis {
-  [StorableClass]
+  [StorableClass("4008F27E-2A09-4A9D-843C-DD58B1FF6061")]
   [Item(Name = "CovarianceConst",
     Description = "Constant covariance function for Gaussian processes.")]
Index: branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/CovarianceFunctions/CovarianceLinear.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/CovarianceFunctions/CovarianceLinear.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/CovarianceFunctions/CovarianceLinear.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -28,5 +28,5 @@
 
 namespace HeuristicLab.Algorithms.DataAnalysis {
-  [StorableClass]
+  [StorableClass("DA2F50B2-CCBD-4358-B318-6AF3604370ED")]
   [Item(Name = "CovarianceLinear", Description = "Linear covariance function for Gaussian processes.")]
   public sealed class CovarianceLinear : Item, ICovarianceFunction {
Index: branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/CovarianceFunctions/CovarianceLinearArd.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/CovarianceFunctions/CovarianceLinearArd.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/CovarianceFunctions/CovarianceLinearArd.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -30,5 +30,5 @@
 
 namespace HeuristicLab.Algorithms.DataAnalysis {
-  [StorableClass]
+  [StorableClass("9AB4D4ED-5D24-4B49-9C6C-DE77159DFCFF")]
   [Item(Name = "CovarianceLinearArd",
     Description = "Linear covariance function with automatic relevance determination for Gaussian processes.")]
Index: branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/CovarianceFunctions/CovarianceMask.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/CovarianceFunctions/CovarianceMask.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/CovarianceFunctions/CovarianceMask.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -31,5 +31,5 @@
 
 namespace HeuristicLab.Algorithms.DataAnalysis {
-  [StorableClass]
+  [StorableClass("D56C030E-C0D2-4CE7-91CA-30E94E457FBA")]
   [Item(Name = "CovarianceMask",
     Description = "Masking covariance function for dimension selection can be used to apply a covariance function only on certain input dimensions.")]
Index: branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/CovarianceFunctions/CovarianceMaternIso.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/CovarianceFunctions/CovarianceMaternIso.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/CovarianceFunctions/CovarianceMaternIso.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -30,5 +30,5 @@
 
 namespace HeuristicLab.Algorithms.DataAnalysis {
-  [StorableClass]
+  [StorableClass("91D5C02C-8C70-4D18-B97D-4089CE8139B1")]
   [Item(Name = "CovarianceMaternIso",
     Description = "Matern covariance function for Gaussian processes.")]
Index: branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/CovarianceFunctions/CovarianceNeuralNetwork.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/CovarianceFunctions/CovarianceNeuralNetwork.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/CovarianceFunctions/CovarianceNeuralNetwork.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -29,5 +29,5 @@
 
 namespace HeuristicLab.Algorithms.DataAnalysis {
-  [StorableClass]
+  [StorableClass("281C5562-860C-45BF-81B0-388539A4C4D0")]
   [Item(Name = "CovarianceNeuralNetwork",
     Description = "Neural network covariance function for Gaussian processes.")]
Index: branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/CovarianceFunctions/CovarianceNoise.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/CovarianceFunctions/CovarianceNoise.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/CovarianceFunctions/CovarianceNoise.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -30,5 +30,5 @@
 
 namespace HeuristicLab.Algorithms.DataAnalysis {
-  [StorableClass]
+  [StorableClass("E2AB7228-454B-4C89-8C8C-3DA58658CB94")]
   [Item(Name = "CovarianceNoise",
     Description = "Noise covariance function for Gaussian processes.")]
Index: branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/CovarianceFunctions/CovariancePeriodic.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/CovarianceFunctions/CovariancePeriodic.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/CovarianceFunctions/CovariancePeriodic.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -30,5 +30,5 @@
 
 namespace HeuristicLab.Algorithms.DataAnalysis {
-  [StorableClass]
+  [StorableClass("FBD52B13-AECD-4EF6-87DE-2A3405A1599B")]
   [Item(Name = "CovariancePeriodic", Description = "Periodic covariance function for Gaussian processes.")]
   public sealed class CovariancePeriodic : ParameterizedNamedItem, ICovarianceFunction {
Index: branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/CovarianceFunctions/CovariancePiecewisePolynomial.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/CovarianceFunctions/CovariancePiecewisePolynomial.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/CovarianceFunctions/CovariancePiecewisePolynomial.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -30,5 +30,5 @@
 
 namespace HeuristicLab.Algorithms.DataAnalysis {
-  [StorableClass]
+  [StorableClass("842B3E75-08DD-49D9-A6EC-631E2FE8D588")]
   [Item(Name = "CovariancePiecewisePolynomial",
     Description = "Piecewise polynomial covariance function with compact support for Gaussian processes.")]
Index: branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/CovarianceFunctions/CovariancePolynomial.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/CovarianceFunctions/CovariancePolynomial.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/CovarianceFunctions/CovariancePolynomial.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -30,5 +30,5 @@
 
 namespace HeuristicLab.Algorithms.DataAnalysis {
-  [StorableClass]
+  [StorableClass("61CE9901-EB24-468D-AA62-6C8A889D905A")]
   [Item(Name = "CovariancePolynomial",
     Description = "Polynomial covariance function for Gaussian processes.")]
Index: branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/CovarianceFunctions/CovarianceProduct.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/CovarianceFunctions/CovarianceProduct.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/CovarianceFunctions/CovarianceProduct.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -29,5 +29,5 @@
 
 namespace HeuristicLab.Algorithms.DataAnalysis {
-  [StorableClass]
+  [StorableClass("D5F73EAB-4041-4EC7-9D70-9700C46B26A9")]
   [Item(Name = "CovarianceProduct",
     Description = "Product covariance function for Gaussian processes.")]
Index: branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/CovarianceFunctions/CovarianceRationalQuadraticArd.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/CovarianceFunctions/CovarianceRationalQuadraticArd.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/CovarianceFunctions/CovarianceRationalQuadraticArd.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -30,5 +30,5 @@
 
 namespace HeuristicLab.Algorithms.DataAnalysis {
-  [StorableClass]
+  [StorableClass("634E2E24-674B-49BD-8017-80051578B1BB")]
   [Item(Name = "CovarianceRationalQuadraticArd",
     Description = "Rational quadratic covariance function with automatic relevance determination for Gaussian processes.")]
Index: branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/CovarianceFunctions/CovarianceRationalQuadraticIso.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/CovarianceFunctions/CovarianceRationalQuadraticIso.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/CovarianceFunctions/CovarianceRationalQuadraticIso.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -29,5 +29,5 @@
 
 namespace HeuristicLab.Algorithms.DataAnalysis {
-  [StorableClass]
+  [StorableClass("92B8CB96-2C75-4362-B7A2-713D2D80BD1D")]
   [Item(Name = "CovarianceRationalQuadraticIso",
     Description = "Isotropic rational quadratic covariance function for Gaussian processes.")]
Index: branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/CovarianceFunctions/CovarianceScale.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/CovarianceFunctions/CovarianceScale.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/CovarianceFunctions/CovarianceScale.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -30,5 +30,5 @@
 
 namespace HeuristicLab.Algorithms.DataAnalysis {
-  [StorableClass]
+  [StorableClass("AC0CD93E-1233-4E60-AAE0-F5C722516B6E")]
   [Item(Name = "CovarianceScale",
     Description = "Scale covariance function for Gaussian processes.")]
Index: branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/CovarianceFunctions/CovarianceSpectralMixture.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/CovarianceFunctions/CovarianceSpectralMixture.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/CovarianceFunctions/CovarianceSpectralMixture.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -31,5 +31,5 @@
 
 namespace HeuristicLab.Algorithms.DataAnalysis {
-  [StorableClass]
+  [StorableClass("C6FCA5E8-229C-4745-BBE0-438298885133")]
   [Item(Name = "CovarianceSpectralMixture",
     Description = "The spectral mixture kernel described in Wilson A. G. and Adams R.P., Gaussian Process Kernels for Pattern Discovery and Exptrapolation, ICML 2013.")]
Index: branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/CovarianceFunctions/CovarianceSquaredExponentialArd.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/CovarianceFunctions/CovarianceSquaredExponentialArd.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/CovarianceFunctions/CovarianceSquaredExponentialArd.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -30,5 +30,5 @@
 
 namespace HeuristicLab.Algorithms.DataAnalysis {
-  [StorableClass]
+  [StorableClass("9745DB94-D059-435F-B2AB-8883B00FDF61")]
   [Item(Name = "CovarianceSquaredExponentialArd", Description = "Squared exponential covariance function with automatic relevance determination for Gaussian processes.")]
   public sealed class CovarianceSquaredExponentialArd : ParameterizedNamedItem, ICovarianceFunction {
Index: branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/CovarianceFunctions/CovarianceSquaredExponentialIso.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/CovarianceFunctions/CovarianceSquaredExponentialIso.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/CovarianceFunctions/CovarianceSquaredExponentialIso.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -30,5 +30,5 @@
 
 namespace HeuristicLab.Algorithms.DataAnalysis {
-  [StorableClass]
+  [StorableClass("52AE6BF7-8D5E-4F3D-894B-229AD8DD3580")]
   [Item(Name = "CovarianceSquaredExponentialIso",
     Description = "Isotropic squared exponential covariance function for Gaussian processes.")]
Index: branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/CovarianceFunctions/CovarianceSum.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/CovarianceFunctions/CovarianceSum.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/CovarianceFunctions/CovarianceSum.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -29,5 +29,5 @@
 
 namespace HeuristicLab.Algorithms.DataAnalysis {
-  [StorableClass]
+  [StorableClass("55B05CDF-08F6-4225-8804-DA98252273ED")]
   [Item(Name = "CovarianceSum",
     Description = "Sum covariance function for Gaussian processes.")]
Index: branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/GaussianProcessBase.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/GaussianProcessBase.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/GaussianProcessBase.cs	(revision 13368)
@@ -35,5 +35,5 @@
   /// Base class for Gaussian process data analysis algorithms (regression and classification).
   /// </summary>
-  [StorableClass]
+  [StorableClass("54D74490-B7E8-4B7B-857D-7E39169DE307")]
   public abstract class GaussianProcessBase : EngineAlgorithm {
     protected const string MeanFunctionParameterName = "MeanFunction";
Index: branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/GaussianProcessClassification.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/GaussianProcessClassification.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/GaussianProcessClassification.cs	(revision 13368)
@@ -38,5 +38,5 @@
   [Item("Gaussian Process Least-Squares Classification", "Gaussian process least-squares classification data analysis algorithm.")]
   [Creatable(CreatableAttribute.Categories.DataAnalysisClassification, Priority = 160)]
-  [StorableClass]
+  [StorableClass("390C7F97-1322-411A-9F55-B750AA4C9BB8")]
   public sealed class GaussianProcessClassification : GaussianProcessBase, IStorableContent {
     public string Filename { get; set; }
Index: branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/GaussianProcessClassificationModelCreator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/GaussianProcessClassificationModelCreator.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/GaussianProcessClassificationModelCreator.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -31,5 +31,5 @@
 
 namespace HeuristicLab.Algorithms.DataAnalysis {
-  [StorableClass]
+  [StorableClass("490669D1-99AC-46FD-8A45-0A8208E4085F")]
   [Item(Name = "GaussianProcessClassificationModelCreator",
     Description = "Creates a Gaussian process model for least-squares classification given the data, the hyperparameters, a mean function, and a covariance function.")]
Index: branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/GaussianProcessClassificationSolutionCreator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/GaussianProcessClassificationSolutionCreator.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/GaussianProcessClassificationSolutionCreator.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -30,5 +30,5 @@
 
 namespace HeuristicLab.Algorithms.DataAnalysis {
-  [StorableClass]
+  [StorableClass("64E012A7-256C-4F5A-8579-6DE2B66C8D01")]
   [Item(Name = "GaussianProcessClassificationSolutionCreator",
     Description = "Creates a Gaussian process solution from a trained model.")]
Index: branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/GaussianProcessCovarianceOptimizationProblem.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/GaussianProcessCovarianceOptimizationProblem.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/GaussianProcessCovarianceOptimizationProblem.cs	(revision 13368)
@@ -36,5 +36,5 @@
   [Item("Gaussian Process Covariance Optimization Problem", "")]
   [Creatable(CreatableAttribute.Categories.GeneticProgrammingProblems, Priority = 300)]
-  [StorableClass]
+  [StorableClass("AF996E8A-FD03-4BF8-8EB6-782D1F4BDBEC")]
   public sealed class GaussianProcessCovarianceOptimizationProblem : SymbolicExpressionTreeProblem, IStatefulItem, IRegressionProblem, IProblemInstanceConsumer<IRegressionProblemData>, IProblemInstanceExporter<IRegressionProblemData> {
     #region static variables and ctor
@@ -229,5 +229,5 @@
           }
         }
-        hyperParameters[hyperParameters.Length - 1] = 1.0; // s² = exp(2), TODO: other inits better?
+        hyperParameters[hyperParameters.Length - 1] = 1.0; // sï¿œ = exp(2), TODO: other inits better?
 
         // use alglib.bfgs for hyper-parameter optimization ...
Index: branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/GaussianProcessHyperparameterInitializer.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/GaussianProcessHyperparameterInitializer.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/GaussianProcessHyperparameterInitializer.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -30,5 +30,5 @@
 
 namespace HeuristicLab.Algorithms.DataAnalysis {
-  [StorableClass]
+  [StorableClass("0DAB5F40-B8F4-4F66-8B1B-9D5B95E231CC")]
   [Item(Name = "GaussianProcessHyperparameterInitializer",
     Description = "Initializers the hyperparameter vector based on the mean function, covariance function, and number of allowed input variables.")]
Index: branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/GaussianProcessModel.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/GaussianProcessModel.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/GaussianProcessModel.cs	(revision 13368)
@@ -32,5 +32,5 @@
   /// Represents a Gaussian process model.
   /// </summary>
-  [StorableClass]
+  [StorableClass("82445482-3DD5-4BD4-8D13-3EE48E54BF8D")]
   [Item("GaussianProcessModel", "Represents a Gaussian process posterior.")]
   public sealed class GaussianProcessModel : NamedItem, IGaussianProcessModel {
Index: branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/GaussianProcessModelCreator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/GaussianProcessModelCreator.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/GaussianProcessModelCreator.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -29,5 +29,5 @@
 
 namespace HeuristicLab.Algorithms.DataAnalysis {
-  [StorableClass]
+  [StorableClass("B80912A0-00F8-48FA-B7B1-3A63931C094D")]
   // base class for GaussianProcessModelCreators (specific for classification and regression)
   public abstract class GaussianProcessModelCreator : SingleSuccessorOperator {
Index: branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/GaussianProcessRegression.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/GaussianProcessRegression.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/GaussianProcessRegression.cs	(revision 13368)
@@ -38,5 +38,5 @@
   [Item("Gaussian Process Regression", "Gaussian process regression data analysis algorithm.")]
   [Creatable(CreatableAttribute.Categories.DataAnalysisRegression, Priority = 160)]
-  [StorableClass]
+  [StorableClass("8C3A40B8-1A2E-42D5-94C6-99FF7197D632")]
   public sealed class GaussianProcessRegression : GaussianProcessBase, IStorableContent {
     public string Filename { get; set; }
Index: branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/GaussianProcessRegressionModelCreator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/GaussianProcessRegressionModelCreator.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/GaussianProcessRegressionModelCreator.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -31,5 +31,5 @@
 
 namespace HeuristicLab.Algorithms.DataAnalysis {
-  [StorableClass]
+  [StorableClass("A28E75C5-E0F9-4FB6-A125-50B77CAC7C7D")]
   [Item(Name = "GaussianProcessRegressionModelCreator",
     Description = "Creates a Gaussian process model for regression given the data, the hyperparameters, a mean function, and a covariance function.")]
Index: branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/GaussianProcessRegressionSolution.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/GaussianProcessRegressionSolution.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/GaussianProcessRegressionSolution.cs	(revision 13368)
@@ -32,5 +32,5 @@
   /// </summary>
   [Item("GaussianProcessRegressionSolution", "Represents a Gaussian process solution for a regression problem which can be visualized in the GUI.")]
-  [StorableClass]
+  [StorableClass("187E5639-5E23-4471-BC2D-0CB7921E5851")]
   public sealed class GaussianProcessRegressionSolution : RegressionSolution, IGaussianProcessSolution {
     private new readonly Dictionary<int, double> evaluationCache;
Index: branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/GaussianProcessRegressionSolutionCreator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/GaussianProcessRegressionSolutionCreator.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/GaussianProcessRegressionSolutionCreator.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -30,5 +30,5 @@
 
 namespace HeuristicLab.Algorithms.DataAnalysis {
-  [StorableClass]
+  [StorableClass("351F218B-3842-42FA-8532-2763CBEA0EBD")]
   [Item(Name = "GaussianProcessRegressionSolutionCreator",
     Description = "Creates a Gaussian process solution from a trained model.")]
@@ -38,6 +38,6 @@
     private const string SolutionParameterName = "Solution";
     private const string ResultsParameterName = "Results";
-    private const string TrainingRSquaredResultName = "Training R²";
-    private const string TestRSquaredResultName = "Test R²";
+    private const string TrainingRSquaredResultName = "Training RÂ²";
+    private const string TestRSquaredResultName = "Test RÂ²";
     private const string CreateSolutionParameterName = "CreateSolution";
 
@@ -103,8 +103,8 @@
           results.Add(new Result(SolutionParameterName, "The Gaussian process regression solution", s));
           results.Add(new Result(TrainingRSquaredResultName,
-                                 "The Pearson's R² of the Gaussian process solution on the training partition.",
+                                 "The Pearson's RÂ² of the Gaussian process solution on the training partition.",
                                  new DoubleValue(s.TrainingRSquared)));
           results.Add(new Result(TestRSquaredResultName,
-                                 "The Pearson's R² of the Gaussian process solution on the test partition.",
+                                 "The Pearson's RÂ² of the Gaussian process solution on the test partition.",
                                  new DoubleValue(s.TestRSquared)));
         } else {
Index: branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/MeanFunctions/MeanConst.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/MeanFunctions/MeanConst.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/MeanFunctions/MeanConst.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -30,5 +30,5 @@
 
 namespace HeuristicLab.Algorithms.DataAnalysis {
-  [StorableClass]
+  [StorableClass("FDC8ABCE-A786-42D6-9595-56E528A00265")]
   [Item(Name = "MeanConst", Description = "Constant mean function for Gaussian processes.")]
   public sealed class MeanConst : ParameterizedNamedItem, IMeanFunction {
Index: branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/MeanFunctions/MeanLinear.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/MeanFunctions/MeanLinear.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/MeanFunctions/MeanLinear.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -30,5 +30,5 @@
 
 namespace HeuristicLab.Algorithms.DataAnalysis {
-  [StorableClass]
+  [StorableClass("3CF17892-121B-422E-9710-DCBE8C293556")]
   [Item(Name = "MeanLinear", Description = "Linear mean function for Gaussian processes.")]
   public sealed class MeanLinear : ParameterizedNamedItem, IMeanFunction {
Index: branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/MeanFunctions/MeanModel.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/MeanFunctions/MeanModel.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/MeanFunctions/MeanModel.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -29,5 +29,5 @@
 
 namespace HeuristicLab.Algorithms.DataAnalysis {
-  [StorableClass]
+  [StorableClass("FD14EE57-5A90-4E3B-B383-E5CB42CEFFE4")]
   [Item(Name = "MeanModel", Description = "A mean function for Gaussian processes that uses a regression solution created with a different algorithm to calculate the mean.")]
   // essentially an adaptor which maps from IMeanFunction to IRegressionSolution
Index: branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/MeanFunctions/MeanProduct.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/MeanFunctions/MeanProduct.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/MeanFunctions/MeanProduct.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -27,5 +27,5 @@
 
 namespace HeuristicLab.Algorithms.DataAnalysis {
-  [StorableClass]
+  [StorableClass("015C39DA-D747-4625-8CC9-3CD54536C06A")]
   [Item(Name = "MeanProduct", Description = "Product of mean functions for Gaussian processes.")]
   public sealed class MeanProduct : Item, IMeanFunction {
Index: branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/MeanFunctions/MeanSum.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/MeanFunctions/MeanSum.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/MeanFunctions/MeanSum.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -27,5 +27,5 @@
 
 namespace HeuristicLab.Algorithms.DataAnalysis {
-  [StorableClass]
+  [StorableClass("47997C4C-B988-4B0A-B954-2F117E2E4521")]
   [Item(Name = "MeanSum", Description = "Sum of mean functions for Gaussian processes.")]
   public sealed class MeanSum : Item, IMeanFunction {
Index: branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/MeanFunctions/MeanZero.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/MeanFunctions/MeanZero.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/MeanFunctions/MeanZero.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -27,5 +27,5 @@
 
 namespace HeuristicLab.Algorithms.DataAnalysis {
-  [StorableClass]
+  [StorableClass("0EBB89C9-1C63-4E00-9248-8594F07BB7D2")]
   [Item(Name = "MeanZero", Description = "Constant zero mean function for Gaussian processes.")]
   public sealed class MeanZero : Item, IMeanFunction {
Index: branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GradientBoostedTrees/GradientBoostedTreesAlgorithm.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GradientBoostedTrees/GradientBoostedTreesAlgorithm.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GradientBoostedTrees/GradientBoostedTreesAlgorithm.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -36,5 +36,5 @@
 namespace HeuristicLab.Algorithms.DataAnalysis {
   [Item("Gradient Boosted Trees (GBT)", "Gradient boosted trees algorithm. Friedman, J. \"Greedy Function Approximation: A Gradient Boosting Machine\", IMS 1999 Reitz Lecture.")]
-  [StorableClass]
+  [StorableClass("DA2F5BB9-19F3-42E8-A5D2-1CAAE12D1B6C")]
   [Creatable(CreatableAttribute.Categories.DataAnalysisRegression, Priority = 125)]
   public class GradientBoostedTreesAlgorithm : BasicAlgorithm {
Index: branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GradientBoostedTrees/GradientBoostedTreesModel.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GradientBoostedTrees/GradientBoostedTreesModel.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GradientBoostedTrees/GradientBoostedTreesModel.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -30,5 +30,5 @@
 
 namespace HeuristicLab.Algorithms.DataAnalysis {
-  [StorableClass]
+  [StorableClass("37C2B67D-B2A9-42CC-880B-AD5F61104FDD")]
   [Item("Gradient boosted tree model", "")]
   // this is essentially a collection of weighted regression models
Index: branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GradientBoostedTrees/GradientBoostedTreesModelSurrogate.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GradientBoostedTrees/GradientBoostedTreesModelSurrogate.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GradientBoostedTrees/GradientBoostedTreesModelSurrogate.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -28,5 +28,5 @@
 
 namespace HeuristicLab.Algorithms.DataAnalysis {
-  [StorableClass]
+  [StorableClass("ECCC9F9F-E3B5-4D16-AB7F-B1221A5F7033")]
   // this class is used as a surrogate for persistence of an actual GBT model 
   // since the actual GBT model would be very large when persisted we only store all necessary information to
Index: branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GradientBoostedTrees/GradientBoostedTreesSolution.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GradientBoostedTrees/GradientBoostedTreesSolution.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GradientBoostedTrees/GradientBoostedTreesSolution.cs	(revision 13368)
@@ -27,5 +27,5 @@
 
 namespace HeuristicLab.Algorithms.DataAnalysis {
-  [StorableClass]
+  [StorableClass("B99E81E5-DC80-4552-8B40-0089662FFFEB")]
   public sealed class GradientBoostedTreesSolution : RegressionSolution {
     public new IGradientBoostedTreesModel Model {
Index: branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GradientBoostedTrees/LossFunctions/AbsoluteErrorLoss.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GradientBoostedTrees/LossFunctions/AbsoluteErrorLoss.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GradientBoostedTrees/LossFunctions/AbsoluteErrorLoss.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -29,5 +29,5 @@
 namespace HeuristicLab.Algorithms.DataAnalysis {
   // loss function for the weighted absolute error
-  [StorableClass]
+  [StorableClass("CDF5C3F1-0577-48FD-BA73-050231ADB015")]
   [Item("Absolute error loss", "")]
   public sealed class AbsoluteErrorLoss : Item, ILossFunction {
Index: branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GradientBoostedTrees/LossFunctions/LogisticRegressionLoss.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GradientBoostedTrees/LossFunctions/LogisticRegressionLoss.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GradientBoostedTrees/LossFunctions/LogisticRegressionLoss.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -31,5 +31,5 @@
 namespace HeuristicLab.Algorithms.DataAnalysis {
   // Greedy Function Approximation: A Gradient Boosting Machine (page 9) 
-  [StorableClass]
+  [StorableClass("89E2D6B3-2BDE-4FF2-98B5-236F4C3B3F69")]
   [Item("Logistic regression loss", "")]
   public sealed class LogisticRegressionLoss : Item, ILossFunction {
Index: branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GradientBoostedTrees/LossFunctions/QuantileRegressionLoss.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GradientBoostedTrees/LossFunctions/QuantileRegressionLoss.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GradientBoostedTrees/LossFunctions/QuantileRegressionLoss.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -32,5 +32,5 @@
   // loss function for quantile regression
   // Generalized Boosted Models - A Guide To The gbm Package, Greg Ridgeway, August 2007, page 11 
-  [StorableClass]
+  [StorableClass("1D8A2DAE-4A77-4A37-8C03-7980A26B5E8B")]
   [Item("QuantileRegressionloss", "Loss function for quantile regression")]
   public sealed class QuantileRegressionLoss : ParameterizedNamedItem, ILossFunction {
Index: branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GradientBoostedTrees/LossFunctions/RelativeErrorLoss.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GradientBoostedTrees/LossFunctions/RelativeErrorLoss.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GradientBoostedTrees/LossFunctions/RelativeErrorLoss.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -31,5 +31,5 @@
 namespace HeuristicLab.Algorithms.DataAnalysis {
   // relative error loss is a special case of weighted absolute error loss with weights = (1/target)
-  [StorableClass]
+  [StorableClass("6C2C8370-D504-4CD0-8157-33024C0EC144")]
   [Item("Relative error loss", "")]
   public sealed class RelativeErrorLoss : Item, ILossFunction {
Index: branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GradientBoostedTrees/LossFunctions/SquaredErrorLoss.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GradientBoostedTrees/LossFunctions/SquaredErrorLoss.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GradientBoostedTrees/LossFunctions/SquaredErrorLoss.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -29,5 +29,5 @@
 
 namespace HeuristicLab.Algorithms.DataAnalysis {
-  [StorableClass]
+  [StorableClass("780DF644-DAD4-4A05-8C8D-9807628C72CB")]
   [Item("Squared error loss", "")]
   public sealed class SquaredErrorLoss : Item, ILossFunction {
Index: branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GradientBoostedTrees/RegressionTreeModel.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GradientBoostedTrees/RegressionTreeModel.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GradientBoostedTrees/RegressionTreeModel.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -32,5 +32,5 @@
 
 namespace HeuristicLab.Algorithms.DataAnalysis {
-  [StorableClass]
+  [StorableClass("2B90568C-D6C1-48EE-86F4-62389FB60E0F")]
   [Item("RegressionTreeModel", "Represents a decision tree for regression.")]
   public sealed class RegressionTreeModel : NamedItem, IRegressionModel {
Index: branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/Linear/LinearDiscriminantAnalysis.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/Linear/LinearDiscriminantAnalysis.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/Linear/LinearDiscriminantAnalysis.cs	(revision 13368)
@@ -38,5 +38,5 @@
   [Item("Linear Discriminant Analysis", "Linear discriminant analysis classification algorithm (wrapper for ALGLIB).")]
   [Creatable(CreatableAttribute.Categories.DataAnalysisClassification, Priority = 100)]
-  [StorableClass]
+  [StorableClass("BAFD65D9-7A4B-4662-9D62-53F7B2FF5AE1")]
   public sealed class LinearDiscriminantAnalysis : FixedDataAnalysisAlgorithm<IClassificationProblem> {
     private const string LinearDiscriminantAnalysisSolutionResultName = "Linear discriminant analysis solution";
Index: branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/Linear/LinearRegression.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/Linear/LinearRegression.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/Linear/LinearRegression.cs	(revision 13368)
@@ -39,5 +39,5 @@
   [Item("Linear Regression (LR)", "Linear regression data analysis algorithm (wrapper for ALGLIB).")]
   [Creatable(CreatableAttribute.Categories.DataAnalysisRegression, Priority = 100)]
-  [StorableClass]
+  [StorableClass("AA2951B1-BE15-4025-B5AC-A7B1D9380945")]
   public sealed class LinearRegression : FixedDataAnalysisAlgorithm<IRegressionProblem> {
     private const string LinearRegressionModelResultName = "Linear regression solution";
Index: branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/Linear/MultinomialLogitClassification.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/Linear/MultinomialLogitClassification.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/Linear/MultinomialLogitClassification.cs	(revision 13368)
@@ -36,5 +36,5 @@
   [Item("Multinomial Logit Classification (MNL)", "Multinomial logit classification data analysis algorithm (wrapper for ALGLIB).")]
   [Creatable(CreatableAttribute.Categories.DataAnalysisClassification, Priority = 180)]
-  [StorableClass]
+  [StorableClass("F9D27685-BC03-471C-B57E-7C7E2B92E3C7")]
   public sealed class MultiNomialLogitClassification : FixedDataAnalysisAlgorithm<IClassificationProblem> {
     private const string LogitClassificationModelResultName = "Logit classification solution";
Index: branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/Linear/MultinomialLogitClassificationSolution.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/Linear/MultinomialLogitClassificationSolution.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/Linear/MultinomialLogitClassificationSolution.cs	(revision 13368)
@@ -30,5 +30,5 @@
   /// </summary>
   [Item("Multinomial Logit Classification Solution", "Represents a multinomial logit solution for a classification problem which can be visualized in the GUI.")]
-  [StorableClass]
+  [StorableClass("6ED9C94B-F151-4459-BA7F-D6276E2F5E3A")]
   public sealed class MultinomialLogitClassificationSolution : ClassificationSolution {
 
Index: branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/Linear/MultinomialLogitModel.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/Linear/MultinomialLogitModel.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/Linear/MultinomialLogitModel.cs	(revision 13368)
@@ -32,5 +32,5 @@
   /// Represents a multinomial logit model for classification
   /// </summary>
-  [StorableClass]
+  [StorableClass("9F2ADE60-2999-4638-90C2-3D7B9131AB04")]
   [Item("Multinomial Logit Model", "Represents a multinomial logit model for classification.")]
   public sealed class MultinomialLogitModel : NamedItem, IClassificationModel {
Index: branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/Linear/Scaling.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/Linear/Scaling.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/Linear/Scaling.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -29,5 +29,5 @@
 
 namespace HeuristicLab.Algorithms.DataAnalysis {
-  [StorableClass]
+  [StorableClass("1D2BCF27-CE47-4B1E-B6B5-1494D2B0143E")]
   [Item(Name = "Scaling", Description = "Contains information about scaling of variables for data-analysis algorithms.")]
   public class Scaling : Item {
Index: branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/Nca/Initialization/LdaInitializer.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/Nca/Initialization/LdaInitializer.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/Nca/Initialization/LdaInitializer.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -28,5 +28,5 @@
 namespace HeuristicLab.Algorithms.DataAnalysis {
   [Item("LDA", "Initializes the matrix by performing a linear discriminant analysis.")]
-  [StorableClass]
+  [StorableClass("B0DCA33D-4980-4B3E-AB64-1C92CCB97D5A")]
   public class LdaInitializer : NcaInitializer {
 
Index: branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/Nca/Initialization/NcaInitializer.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/Nca/Initialization/NcaInitializer.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/Nca/Initialization/NcaInitializer.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -31,5 +31,5 @@
 namespace HeuristicLab.Algorithms.DataAnalysis {
   [Item("NcaInitializer", "Base class for initializers for NCA.")]
-  [StorableClass]
+  [StorableClass("C8FC5719-EF07-4794-8B0C-31B18D994DEF")]
   public abstract class NcaInitializer : SingleSuccessorOperator, INcaInitializer {
 
Index: branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/Nca/Initialization/PcaInitializer.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/Nca/Initialization/PcaInitializer.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/Nca/Initialization/PcaInitializer.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -28,5 +28,5 @@
 namespace HeuristicLab.Algorithms.DataAnalysis {
   [Item("PCA", "Initializes the matrix by performing a principal components analysis.")]
-  [StorableClass]
+  [StorableClass("DF4ECA7A-3D52-40E7-B798-660EF9A8EDF8")]
   public sealed class PcaInitializer : NcaInitializer {
 
Index: branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/Nca/Initialization/RandomInitializer.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/Nca/Initialization/RandomInitializer.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/Nca/Initialization/RandomInitializer.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -30,5 +30,5 @@
 namespace HeuristicLab.Algorithms.DataAnalysis {
   [Item("Random", "Initializes the matrix randomly.")]
-  [StorableClass]
+  [StorableClass("19A8FC74-810D-4294-A2D2-C345E9AC110B")]
   public sealed class RandomInitializer : NcaInitializer, IStochasticOperator {
     public ILookupParameter<IRandom> RandomParameter {
Index: branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/Nca/ModelCreation/NcaModelCreator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/Nca/ModelCreation/NcaModelCreator.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/Nca/ModelCreation/NcaModelCreator.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -32,5 +32,5 @@
 namespace HeuristicLab.Algorithms.DataAnalysis {
   [Item("NcaModelCreator", "Creates an NCA model with a given matrix.")]
-  [StorableClass]
+  [StorableClass("AD80C52E-9B3A-4534-98DE-1283863087FC")]
   public class NcaModelCreator : SingleSuccessorOperator, INcaModelCreator {
 
Index: branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/Nca/NcaAlgorithm.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/Nca/NcaAlgorithm.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/Nca/NcaAlgorithm.cs	(revision 13368)
@@ -44,5 +44,5 @@
 Regularized Neighborhood Component Analysis. Lecture Notes in Computer Science, 4522. pp. 253-262.")]
   [Creatable(CreatableAttribute.Categories.DataAnalysisClassification, Priority = 170)]
-  [StorableClass]
+  [StorableClass("84E703F1-CB33-422E-90E4-0BC96E040C67")]
   public sealed class NcaAlgorithm : EngineAlgorithm {
     #region Parameter Names
Index: branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/Nca/NcaClassificationSolution.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/Nca/NcaClassificationSolution.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/Nca/NcaClassificationSolution.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -27,5 +27,5 @@
 namespace HeuristicLab.Algorithms.DataAnalysis {
   [Item("NCA Classification Solution", "")]
-  [StorableClass]
+  [StorableClass("8469D6E4-0384-403D-ABDE-D7F5850509D3")]
   public class NcaClassificationSolution : ClassificationSolution, INcaClassificationSolution {
 
Index: branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/Nca/NcaGradientCalculator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/Nca/NcaGradientCalculator.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/Nca/NcaGradientCalculator.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -35,5 +35,5 @@
 namespace HeuristicLab.Algorithms.DataAnalysis {
   [Item("NcaGradientCalculator", "Calculates the quality and gradient of a certain NCA matrix.")]
-  [StorableClass]
+  [StorableClass("5ED9020C-0D3E-41C6-B6DC-48E56301015C")]
   public class NcaGradientCalculator : SingleSuccessorOperator, ISingleObjectiveOperator {
 
Index: branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/Nca/NcaModel.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/Nca/NcaModel.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/Nca/NcaModel.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -29,5 +29,5 @@
 namespace HeuristicLab.Algorithms.DataAnalysis {
   [Item("NCA Model", "")]
-  [StorableClass]
+  [StorableClass("499DA1EA-6742-4278-A4B1-A316285A81CD")]
   public class NcaModel : NamedItem, INcaModel {
 
Index: branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/Nca/SolutionCreation/NcaSolutionCreator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/Nca/SolutionCreation/NcaSolutionCreator.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/Nca/SolutionCreation/NcaSolutionCreator.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -31,5 +31,5 @@
 namespace HeuristicLab.Algorithms.DataAnalysis {
   [Item("NcaSolutionCreator", "Creates an NCA solution with a given model and some given data.")]
-  [StorableClass]
+  [StorableClass("FF4010D5-85DE-4980-B6AC-4C7A272D65AE")]
   public class NcaSolutionCreator : SingleSuccessorOperator, INcaSolutionCreator {
 
Index: branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/NearestNeighbour/NearestNeighbourClassification.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/NearestNeighbour/NearestNeighbourClassification.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/NearestNeighbour/NearestNeighbourClassification.cs	(revision 13368)
@@ -36,5 +36,5 @@
   [Item("Nearest Neighbour Classification (kNN)", "Nearest neighbour classification data analysis algorithm (wrapper for ALGLIB).")]
   [Creatable(CreatableAttribute.Categories.DataAnalysisClassification, Priority = 150)]
-  [StorableClass]
+  [StorableClass("19BFEB3B-DB05-41A6-A00D-8A23963D6DC5")]
   public sealed class NearestNeighbourClassification : FixedDataAnalysisAlgorithm<IClassificationProblem> {
     private const string KParameterName = "K";
Index: branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/NearestNeighbour/NearestNeighbourClassificationSolution.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/NearestNeighbour/NearestNeighbourClassificationSolution.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/NearestNeighbour/NearestNeighbourClassificationSolution.cs	(revision 13368)
@@ -30,5 +30,5 @@
   /// </summary>
   [Item("NearestNeighbourClassificationSolution", "Represents a nearest neighbour solution for a classification problem which can be visualized in the GUI.")]
-  [StorableClass]
+  [StorableClass("87AE8F20-40B0-4B0D-84CD-1EBF74C82D76")]
   public sealed class NearestNeighbourClassificationSolution : ClassificationSolution, INearestNeighbourClassificationSolution {
 
Index: branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/NearestNeighbour/NearestNeighbourModel.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/NearestNeighbour/NearestNeighbourModel.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/NearestNeighbour/NearestNeighbourModel.cs	(revision 13368)
@@ -32,5 +32,5 @@
   /// Represents a nearest neighbour model for regression and classification
   /// </summary>
-  [StorableClass]
+  [StorableClass("4AA8CBF7-4CE7-487F-8E35-67AA1A104E8F")]
   [Item("NearestNeighbourModel", "Represents a nearest neighbour model for regression and classification.")]
   public sealed class NearestNeighbourModel : NamedItem, INearestNeighbourModel {
Index: branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/NearestNeighbour/NearestNeighbourRegression.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/NearestNeighbour/NearestNeighbourRegression.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/NearestNeighbour/NearestNeighbourRegression.cs	(revision 13368)
@@ -35,5 +35,5 @@
   [Item("Nearest Neighbour Regression (kNN)", "Nearest neighbour regression data analysis algorithm (wrapper for ALGLIB).")]
   [Creatable(CreatableAttribute.Categories.DataAnalysisRegression, Priority = 150)]
-  [StorableClass]
+  [StorableClass("9125D075-AF68-4CDE-8EEF-1769E9732920")]
   public sealed class NearestNeighbourRegression : FixedDataAnalysisAlgorithm<IRegressionProblem> {
     private const string KParameterName = "K";
Index: branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/NearestNeighbour/NearestNeighbourRegressionSolution.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/NearestNeighbour/NearestNeighbourRegressionSolution.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/NearestNeighbour/NearestNeighbourRegressionSolution.cs	(revision 13368)
@@ -30,5 +30,5 @@
   /// </summary>
   [Item("NearestNeighbourRegressionSolution", "Represents a nearest neighbour solution for a regression problem which can be visualized in the GUI.")]
-  [StorableClass]
+  [StorableClass("97094999-18A6-4D3C-AD57-8B1169D6C676")]
   public sealed class NearestNeighbourRegressionSolution : RegressionSolution, INearestNeighbourRegressionSolution {
 
Index: branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/NeuralNetwork/NeuralNetworkClassification.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/NeuralNetwork/NeuralNetworkClassification.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/NeuralNetwork/NeuralNetworkClassification.cs	(revision 13368)
@@ -37,5 +37,5 @@
   [Item("Neural Network Classification (NN)", "Neural network classification data analysis algorithm (wrapper for ALGLIB). Further documentation: http://www.alglib.net/dataanalysis/neuralnetworks.php")]
   [Creatable(CreatableAttribute.Categories.DataAnalysisClassification, Priority = 130)]
-  [StorableClass]
+  [StorableClass("9191EFBB-D7A3-4CFF-85D1-B1CB86F39BD3")]
   public sealed class NeuralNetworkClassification : FixedDataAnalysisAlgorithm<IClassificationProblem> {
     private const string DecayParameterName = "Decay";
Index: branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/NeuralNetwork/NeuralNetworkClassificationSolution.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/NeuralNetwork/NeuralNetworkClassificationSolution.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/NeuralNetwork/NeuralNetworkClassificationSolution.cs	(revision 13368)
@@ -30,5 +30,5 @@
   /// </summary>
   [Item("NeuralNetworkClassificationSolution", "Represents a neural network solution for a classification problem which can be visualized in the GUI.")]
-  [StorableClass]
+  [StorableClass("5204D40C-5BE3-4650-899D-2997AB257AB4")]
   public sealed class NeuralNetworkClassificationSolution : ClassificationSolution, INeuralNetworkClassificationSolution {
 
Index: branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/NeuralNetwork/NeuralNetworkEnsembleClassification.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/NeuralNetwork/NeuralNetworkEnsembleClassification.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/NeuralNetwork/NeuralNetworkEnsembleClassification.cs	(revision 13368)
@@ -37,5 +37,5 @@
   [Item("Neural Network Ensemble Classification (NN)", "Neural network ensemble classification data analysis algorithm (wrapper for ALGLIB). Further documentation: http://www.alglib.net/dataanalysis/mlpensembles.php")]
   [Creatable(CreatableAttribute.Categories.DataAnalysisClassification, Priority = 140)]
-  [StorableClass]
+  [StorableClass("42B9020B-1B14-4F49-8B39-4AFEC6BF4244")]
   public sealed class NeuralNetworkEnsembleClassification : FixedDataAnalysisAlgorithm<IClassificationProblem> {
     private const string EnsembleSizeParameterName = "EnsembleSize";
Index: branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/NeuralNetwork/NeuralNetworkEnsembleClassificationSolution.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/NeuralNetwork/NeuralNetworkEnsembleClassificationSolution.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/NeuralNetwork/NeuralNetworkEnsembleClassificationSolution.cs	(revision 13368)
@@ -30,5 +30,5 @@
   /// </summary>
   [Item("NeuralNetworkEnsembleClassificationSolution", "Represents a neural network ensemble solution for a classification problem which can be visualized in the GUI.")]
-  [StorableClass]
+  [StorableClass("45271AC7-19EF-45C8-961A-44E34D335460")]
   public sealed class NeuralNetworkEnsembleClassificationSolution : ClassificationSolution, INeuralNetworkEnsembleClassificationSolution {
 
Index: branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/NeuralNetwork/NeuralNetworkEnsembleModel.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/NeuralNetwork/NeuralNetworkEnsembleModel.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/NeuralNetwork/NeuralNetworkEnsembleModel.cs	(revision 13368)
@@ -32,5 +32,5 @@
   /// Represents a neural network ensembel model for regression and classification
   /// </summary>
-  [StorableClass]
+  [StorableClass("99B11B99-5938-4431-B90E-998E3F5F546F")]
   [Item("NeuralNetworkEnsembleModel", "Represents a neural network ensemble for regression and classification.")]
   public sealed class NeuralNetworkEnsembleModel : NamedItem, INeuralNetworkEnsembleModel {
Index: branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/NeuralNetwork/NeuralNetworkEnsembleRegression.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/NeuralNetwork/NeuralNetworkEnsembleRegression.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/NeuralNetwork/NeuralNetworkEnsembleRegression.cs	(revision 13368)
@@ -37,5 +37,5 @@
   [Item("Neural Network Ensemble Regression (NN)", "Neural network ensemble regression data analysis algorithm (wrapper for ALGLIB). Further documentation: http://www.alglib.net/dataanalysis/mlpensembles.php")]
   [Creatable(CreatableAttribute.Categories.DataAnalysisRegression, Priority = 140)]
-  [StorableClass]
+  [StorableClass("161FE742-4720-4932-B0EA-D34771282351")]
   public sealed class NeuralNetworkEnsembleRegression : FixedDataAnalysisAlgorithm<IRegressionProblem> {
     private const string EnsembleSizeParameterName = "EnsembleSize";
Index: branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/NeuralNetwork/NeuralNetworkEnsembleRegressionSolution.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/NeuralNetwork/NeuralNetworkEnsembleRegressionSolution.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/NeuralNetwork/NeuralNetworkEnsembleRegressionSolution.cs	(revision 13368)
@@ -30,5 +30,5 @@
   /// </summary>
   [Item("NeuralNetworkEnsembleRegressionSolution", "Represents a neural network ensemble solution for a regression problem which can be visualized in the GUI.")]
-  [StorableClass]
+  [StorableClass("95E5B6E9-9856-453C-8195-2F220ABCE413")]
   public sealed class NeuralNetworkEnsembleRegressionSolution : RegressionSolution, INeuralNetworkEnsembleRegressionSolution {
 
Index: branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/NeuralNetwork/NeuralNetworkModel.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/NeuralNetwork/NeuralNetworkModel.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/NeuralNetwork/NeuralNetworkModel.cs	(revision 13368)
@@ -32,5 +32,5 @@
   /// Represents a neural network model for regression and classification
   /// </summary>
-  [StorableClass]
+  [StorableClass("0050204E-2161-4E60-AF75-5251696D256F")]
   [Item("NeuralNetworkModel", "Represents a neural network for regression and classification.")]
   public sealed class NeuralNetworkModel : NamedItem, INeuralNetworkModel {
Index: branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/NeuralNetwork/NeuralNetworkRegression.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/NeuralNetwork/NeuralNetworkRegression.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/NeuralNetwork/NeuralNetworkRegression.cs	(revision 13368)
@@ -37,5 +37,5 @@
   [Item("Neural Network Regression (NN)", "Neural network regression data analysis algorithm (wrapper for ALGLIB). Further documentation: http://www.alglib.net/dataanalysis/neuralnetworks.php")]
   [Creatable(CreatableAttribute.Categories.DataAnalysisRegression, Priority = 130)]
-  [StorableClass]
+  [StorableClass("E391CDAE-817D-4B70-9271-3B238AA0BB71")]
   public sealed class NeuralNetworkRegression : FixedDataAnalysisAlgorithm<IRegressionProblem> {
     private const string DecayParameterName = "Decay";
Index: branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/NeuralNetwork/NeuralNetworkRegressionSolution.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/NeuralNetwork/NeuralNetworkRegressionSolution.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/NeuralNetwork/NeuralNetworkRegressionSolution.cs	(revision 13368)
@@ -30,5 +30,5 @@
   /// </summary>
   [Item("NeuralNetworkRegressionSolution", "Represents a neural network solution for a regression problem which can be visualized in the GUI.")]
-  [StorableClass]
+  [StorableClass("24CD4C89-C375-4EC6-8136-504369584714")]
   public sealed class NeuralNetworkRegressionSolution : RegressionSolution, INeuralNetworkRegressionSolution {
 
Index: branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/RandomForest/RandomForestClassification.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/RandomForest/RandomForestClassification.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/RandomForest/RandomForestClassification.cs	(revision 13368)
@@ -34,5 +34,5 @@
   [Item("Random Forest Classification (RF)", "Random forest classification data analysis algorithm (wrapper for ALGLIB).")]
   [Creatable(CreatableAttribute.Categories.DataAnalysisClassification, Priority = 120)]
-  [StorableClass]
+  [StorableClass("37E996E9-51E6-49EA-BBD1-7699AF328806")]
   public sealed class RandomForestClassification : FixedDataAnalysisAlgorithm<IClassificationProblem> {
     private const string RandomForestClassificationModelResultName = "Random forest classification solution";
Index: branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/RandomForest/RandomForestClassificationSolution.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/RandomForest/RandomForestClassificationSolution.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/RandomForest/RandomForestClassificationSolution.cs	(revision 13368)
@@ -30,5 +30,5 @@
   /// </summary>
   [Item("RandomForestClassificationSolution", "Represents a random forest solution for a classification problem which can be visualized in the GUI.")]
-  [StorableClass]
+  [StorableClass("EB216C45-2B01-4159-ADFA-CC36A6F34FBF")]
   public sealed class RandomForestClassificationSolution : ClassificationSolution, IRandomForestClassificationSolution {
 
Index: branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/RandomForest/RandomForestModel.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/RandomForest/RandomForestModel.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/RandomForest/RandomForestModel.cs	(revision 13368)
@@ -32,5 +32,5 @@
   /// Represents a random forest model for regression and classification
   /// </summary>
-  [StorableClass]
+  [StorableClass("21E7A13F-4718-48C9-B7A9-7E67FBB8479D")]
   [Item("RandomForestModel", "Represents a random forest for regression and classification.")]
   public sealed class RandomForestModel : NamedItem, IRandomForestModel {
Index: branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/RandomForest/RandomForestRegression.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/RandomForest/RandomForestRegression.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/RandomForest/RandomForestRegression.cs	(revision 13368)
@@ -34,5 +34,5 @@
   [Item("Random Forest Regression (RF)", "Random forest regression data analysis algorithm (wrapper for ALGLIB).")]
   [Creatable(CreatableAttribute.Categories.DataAnalysisRegression, Priority = 120)]
-  [StorableClass]
+  [StorableClass("11144838-379E-4741-AAB3-9CABF01ADC90")]
   public sealed class RandomForestRegression : FixedDataAnalysisAlgorithm<IRegressionProblem> {
     private const string RandomForestRegressionModelResultName = "Random forest regression solution";
Index: branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/RandomForest/RandomForestRegressionSolution.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/RandomForest/RandomForestRegressionSolution.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/RandomForest/RandomForestRegressionSolution.cs	(revision 13368)
@@ -30,5 +30,5 @@
   /// </summary>
   [Item("RandomForestRegressionSolution", "Represents a random forest solution for a regression problem which can be visualized in the GUI.")]
-  [StorableClass]
+  [StorableClass("8992DB93-822B-4B50-996C-63712D3BAA7D")]
   public sealed class RandomForestRegressionSolution : RegressionSolution, IRandomForestRegressionSolution {
 
Index: branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/RandomForest/RandomForestUtil.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/RandomForest/RandomForestUtil.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/RandomForest/RandomForestUtil.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 
 /* HeuristicLab
@@ -37,5 +37,5 @@
 namespace HeuristicLab.Algorithms.DataAnalysis {
   [Item("RFParameter", "A random forest parameter collection")]
-  [StorableClass]
+  [StorableClass("F0FCEF25-14FA-4A4C-8926-145CE7F281F9")]
   public class RFParameter : ParameterCollection {
     public RFParameter() {
Index: branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/SupportVectorMachine/SupportVectorClassification.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/SupportVectorMachine/SupportVectorClassification.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/SupportVectorMachine/SupportVectorClassification.cs	(revision 13368)
@@ -38,5 +38,5 @@
   [Item("Support Vector Classification (SVM)", "Support vector machine classification data analysis algorithm (wrapper for libSVM).")]
   [Creatable(CreatableAttribute.Categories.DataAnalysisClassification, Priority = 110)]
-  [StorableClass]
+  [StorableClass("F5772433-8F5E-4AC0-806E-E6AFFB63E96E")]
   public sealed class SupportVectorClassification : FixedDataAnalysisAlgorithm<IClassificationProblem> {
     private const string SvmTypeParameterName = "SvmType";
Index: branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/SupportVectorMachine/SupportVectorClassificationSolution.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/SupportVectorMachine/SupportVectorClassificationSolution.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/SupportVectorMachine/SupportVectorClassificationSolution.cs	(revision 13368)
@@ -30,5 +30,5 @@
   /// </summary>
   [Item("SupportVectorClassificationSolution", "Represents a support vector solution for a classification problem which can be visualized in the GUI.")]
-  [StorableClass]
+  [StorableClass("55714C0C-40CF-4D36-9511-D6245E81C1E3")]
   public sealed class SupportVectorClassificationSolution : ClassificationSolution, ISupportVectorMachineSolution {
 
Index: branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/SupportVectorMachine/SupportVectorMachineModel.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/SupportVectorMachine/SupportVectorMachineModel.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/SupportVectorMachine/SupportVectorMachineModel.cs	(revision 13368)
@@ -35,5 +35,5 @@
   /// Represents a support vector machine model.
   /// </summary>
-  [StorableClass]
+  [StorableClass("0AB8F0B0-DB90-488D-9EB4-CB7D81566655")]
   [Item("SupportVectorMachineModel", "Represents a support vector machine model.")]
   public sealed class SupportVectorMachineModel : NamedItem, ISupportVectorMachineModel {
Index: branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/SupportVectorMachine/SupportVectorRegression.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/SupportVectorMachine/SupportVectorRegression.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/SupportVectorMachine/SupportVectorRegression.cs	(revision 13368)
@@ -38,5 +38,5 @@
   [Item("Support Vector Regression (SVM)", "Support vector machine regression data analysis algorithm (wrapper for libSVM).")]
   [Creatable(CreatableAttribute.Categories.DataAnalysisRegression, Priority = 110)]
-  [StorableClass]
+  [StorableClass("11DB1DEB-3B8D-44F0-B522-28328E57FF4B")]
   public sealed class SupportVectorRegression : FixedDataAnalysisAlgorithm<IRegressionProblem> {
     private const string SvmTypeParameterName = "SvmType";
Index: branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/SupportVectorMachine/SupportVectorRegressionSolution.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/SupportVectorMachine/SupportVectorRegressionSolution.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/SupportVectorMachine/SupportVectorRegressionSolution.cs	(revision 13368)
@@ -30,5 +30,5 @@
   /// </summary>
   [Item("SupportVectorRegressionSolution", "Represents a support vector solution for a regression problem which can be visualized in the GUI.")]
-  [StorableClass]
+  [StorableClass("43C20E72-7AF9-42EF-821B-2040413065CC")]
   public sealed class SupportVectorRegressionSolution : RegressionSolution, ISupportVectorMachineSolution {
 
Index: branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/TimeSeries/AutoregressiveModeling.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/TimeSeries/AutoregressiveModeling.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/TimeSeries/AutoregressiveModeling.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -36,5 +36,5 @@
   [Item("Autoregressive Modeling (AR)", "Timeseries modeling algorithm that creates AR-N models.")]
   [Creatable(CreatableAttribute.Categories.DataAnalysis, Priority = 130)]
-  [StorableClass]
+  [StorableClass("7D0CD322-3E9F-43C7-BF62-C6CFDCE889AE")]
   public class AutoregressiveModeling : FixedDataAnalysisAlgorithm<ITimeSeriesPrognosisProblem> {
     private const string TimeOffesetParameterName = "Maximum Time Offset";
Index: branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/kMeans/KMeansClustering.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/kMeans/KMeansClustering.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/kMeans/KMeansClustering.cs	(revision 13368)
@@ -37,5 +37,5 @@
   [Item("k-Means", "The k-Means clustering algorithm (wrapper for ALGLIB).")]
   [Creatable(CreatableAttribute.Categories.DataAnalysis, Priority = 10)]
-  [StorableClass]
+  [StorableClass("64670EE3-1D17-45B2-BDCC-245918DB8895")]
   public sealed class KMeansClustering : FixedDataAnalysisAlgorithm<IClusteringProblem> {
     private const string KParameterName = "k";
Index: branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/kMeans/KMeansClusteringModel.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/kMeans/KMeansClusteringModel.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/kMeans/KMeansClusteringModel.cs	(revision 13368)
@@ -32,5 +32,5 @@
   /// Represents a k-Means clustering model.
   /// </summary>
-  [StorableClass]
+  [StorableClass("7B062A19-9844-4D9B-8DD0-8F466312C001")]
   [Item("KMeansClusteringModel", "Represents a k-Means clustering model.")]
   public sealed class KMeansClusteringModel : NamedItem, IClusteringModel {
Index: branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/kMeans/KMeansClusteringSolution.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/kMeans/KMeansClusteringSolution.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/kMeans/KMeansClusteringSolution.cs	(revision 13368)
@@ -36,5 +36,5 @@
   /// </summary>
   [Item("k-Means clustering solution", "Represents a k-Means solution for a clustering problem which can be visualized in the GUI.")]
-  [StorableClass]
+  [StorableClass("E423B712-C642-4F6C-AABB-238AE5015E99")]
   public sealed class KMeansClusteringSolution : ClusteringSolution {
     private const string TrainingIntraClusterSumOfSquaresResultName = "Intra-cluster sum of squares (training)";
